pydo.genai.update_agent_function()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.genai.update_agent_function(
agent_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
function_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"agent_uuid": "\"12345678-1234-1234-1234-123456789012\"",
"description": "\"My Function Description\"",
"faas_name": "\"my-function\"",
...,
},
)Description
To update the function route, send a PUT request to /v2/gen-ai/agents/{agent_uuid}/functions/{function_uuid}.
Parameters
agent_uuidstring requiredAgent id
function_uuidstring requiredFunction id
agent_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Agent id
descriptionstring optionalExample:
"My Function Description"Funciton description
faas_namestring optionalExample:
"my-function"The name of the function in the DigitalOcean functions platform
faas_namespacestring optionalExample:
"default"The namespace of the function in the DigitalOcean functions platform
function_namestring optionalExample:
"My Function"Function name
function_uuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Function id
input_schemaobject optionalDescribe the input schema for the function so the agent may call it
output_schemaobject optionalDescribe the output schema for the function so the agent handle its response
Request Sample
Response Example
More Information
See /v2/gen-ai/agents/{agent_uuid}/functions/{function_uuid} in the API reference for additional detail on responses, headers, parameters, and more.